Bug 239589 - graphics/blender: Update to 2.80
Summary: graphics/blender: Update to 2.80
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexandre C. Guimarães
URL:
Keywords: needs-qa
Depends on: 239587
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-02 04:47 UTC by Shane
Modified: 2019-08-18 08:29 UTC (History)
4 users (show)

See Also:


Attachments
maintainer update for graphics/blender (164.81 KB, patch)
2019-08-02 04:47 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff
maintainer update for graphics/blender (164.99 KB, patch)
2019-08-14 02:37 UTC, Shane
FreeBSD: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane 2019-08-02 04:47:56 UTC
Created attachment 206215 [details]
maintainer update for graphics/blender

Update graphics/blender to 2.80

This version of blender has removed the game engine, therefore I am removing the game category. As it includes a video editor I think the multimedia category is relevant.

Portlint complains about needing USE_LDCONFIG. There is an option to install a binary python module which would be the cause for this. I don't believe ldconfig is relevant for this.

While not required, the update for openshadinglanguage bug #239588 and openimageio bug #239587 are used by this and could be updated at the same time.
Comment 1 Shane 2019-08-02 04:51:55 UTC
Actually the current version of blender fails to build with openimageio 2.0.9 so at least that one update should be applied at the same time as this.
Comment 2 Alexandre C. Guimarães freebsd_committer 2019-08-13 23:00:28 UTC
Hello,

would you mind to re-base the patch? :-)

Thank you.
Comment 3 Shane 2019-08-14 02:37:18 UTC
Created attachment 206508 [details]
maintainer update for graphics/blender

rebase patch
Also includes addition of llvm port renaming based on bug #239736
Comment 4 commit-hook freebsd_committer 2019-08-15 19:09:29 UTC
A commit references this bug:

Author: rigoletto
Date: Thu Aug 15 19:09:17 UTC 2019
New revision: 509044
URL: https://svnweb.freebsd.org/changeset/ports/509044

Log:
  graphics/blender: Update to 2.80

  PR:		239589
  Submitted by:	Shane <FreeBSD@ShaneWare.Biz> (maintainer)
  Approved by:	tcberner (mentor)

Changes:
  head/graphics/blender/Makefile
  head/graphics/blender/Makefile.options
  head/graphics/blender/Makefile.versions
  head/graphics/blender/distinfo
  head/graphics/blender/files/patch-CMakeLists.txt
  head/graphics/blender/files/patch-ffmpeg4
  head/graphics/blender/files/patch-intern_cycles_CMakeLists.txt
  head/graphics/blender/files/patch-intern_itasc_kdl_tree.hpp
  head/graphics/blender/files/patch-intern_opensubdiv_CMakeLists.txt
  head/graphics/blender/files/patch-intern_opensubdiv_opensubdiv__converter.cc
  head/graphics/blender/files/patch-osl110
  head/graphics/blender/files/patch-release_scripts_addons_io__scene__gltf2_io_exp_gltf2__io__draco__compression__extension.py
  head/graphics/blender/files/patch-source_blender_collada_DocumentImporter.cpp
  head/graphics/blender/files/patch-source_blender_collada_DocumentImporter.h
  head/graphics/blender/pkg-plist
Comment 5 Ross McKelvie 2019-08-15 21:15:32 UTC
See bug #239712 for my proposed patch to this commit to enable building on FreeBSD 11.3-RELEASE-p2 amd64 by using the LLVM linker.
Comment 6 Oleh Hushchenkov 2019-08-16 05:23:55 UTC
(In reply to Shane from comment #3)
Why do we have hardcoded llvm version 60

LLVM_VER=       60

here in Makefile?
Comment 7 Oleh Hushchenkov 2019-08-16 05:26:27 UTC
(In reply to Oleh Hushchenkov from comment #6)
And python exactly ver 3.7 is really needed?
Comment 8 Oleh Hushchenkov 2019-08-16 07:32:07 UTC
(In reply to Oleh Hushchenkov from comment #6)
I mean why

LLVM_VER=       60

and not

LLVM_VER=       ${LLVM_DEFAULT}

?
Comment 9 Shane 2019-08-17 03:18:51 UTC
Blender is rather specific about which python version each release supports.

Blenders llvm version needs to match the version used by graphics/openshadinglanguage. It took a while until OSL supported llvm>4. There has been work on supporting newer llvm versions so it would be time to look into updating this again.
Comment 10 Alexandre C. Guimarães freebsd_committer 2019-08-17 20:23:25 UTC
I am closing this one. If there is a need for new changes please open a new bug report. :-)
Comment 11 Oleh Hushchenkov 2019-08-18 08:29:16 UTC
(In reply to Shane from comment #9)

I see. It's just a little strange to see the latest python37 and the old llvm60 together. The need to install so old version of llvm in order to get recent release of blender is also quite annoying.

Thanks for clarification and your work!